Leap0

Notify document closed

Notify the language server that a document was closed.

POST
/v1/sandbox/{sandboxID}/lsp/did-close

Notify the language server that a document was closed.

Authorization

BearerAuth
AuthorizationBearer <token>

API key passed as a Bearer token in the Authorization header. Alternatively, use the leap0-authorization header.

In: header

Path Parameters

sandboxID*string

Unique sandbox identifier.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

language_id*string
path_to_project*string
uri*string

Response Body

application/json

application/json

curl -X POST "https://api.leap0.dev/v1/sandbox/string/lsp/did-close" \  -H "Content-Type: application/json" \  -d '{    "language_id": "python",    "path_to_project": "/home/user/project",    "uri": "file:///home/user/project/main.py"  }'
Empty
{  "message": "string",  "errors": [    {      "field": "string",      "error": "string"    }  ]}
{  "message": "string"}